Loading...
Searching...
No Matches
double-complex precision
Sparse LA » Sparse preconditioners » Symmetric/Hermitian preconditioner

## Functions

magma_int_t | magma_zcumiccsetup (magma_z_matrix A, magma_z_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via cuSPARSE.
magma_int_t | magma_zcumicgeneratesolverinfo (magma_z_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.
magma_int_t | magma_zapplycumicc_l (magma_z_matrix b, magma_z_matrix *x, magma_z_preconditioner *precond, magma_queue_t queue)
| Performs the left triangular solves using the ICC preconditioner.
magma_int_t | magma_zapplycumicc_r (magma_z_matrix b, magma_z_matrix *x, magma_z_preconditioner *precond, magma_queue_t queue)
| Performs the right triangular solves using the ICC preconditioner.
magma_int_t | magma_zpariluupdate (magma_z_matrix A, magma_z_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).
magma_int_t | magma_zparicsetup (magma_z_matrix A, magma_z_matrix b, magma_z_preconditioner *precond, magma_queue_t queue)
| Prepares the IC preconditioner via the iterative IC iteration.
magma_int_t | magma_zparicupdate (magma_z_matrix A, magma_z_preconditioner *precond, magma_int_t updates, magma_queue_t queue)
| Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

## Detailed Description

## Function Documentation

## magma_zcumiccsetup()

magma_int_t magma_zcumiccsetup | ( | magma_z_matrix | A,
|  | magma_z_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via cuSPARSE.

Parameters

  [in] | A | magma_z_matrix input matrix A
  [in,out] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zcumicgeneratesolverinfo()

magma_int_t magma_zcumicgeneratesolverinfo | ( | magma_z_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner solverinfo via cuSPARSE for a triangular matrix present on the device in precond->M.

Parameters

  [in,out] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zapplycumicc_l()

magma_int_t magma_zapplycumicc_l | ( | magma_z_matrix | b,
|  | magma_z_matrix * | x,
|  | magma_z_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the left triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_z_matrix RHS
  [in,out] | x | magma_z_matrix* vector to precondition
  [in,out] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zapplycumicc_r()

magma_int_t magma_zapplycumicc_r | ( | magma_z_matrix | b,
|  | magma_z_matrix * | x,
|  | magma_z_preconditioner * | precond,
|  | magma_queue_t | queue )

Performs the right triangular solves using the ICC preconditioner.

Parameters

  [in] | b | magma_z_matrix RHS
  [in,out] | x | magma_z_matrix* vector to precondition
  [in,out] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zpariluupdate()

magma_int_t magma_zpariluupdate | ( | magma_z_matrix | A,
|  | magma_z_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative ILU sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_z_matrix input matrix A, current target system
  [in] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zparicsetup()

magma_int_t magma_zparicsetup | ( | magma_z_matrix | A,
|  | magma_z_matrix | b,
|  | magma_z_preconditioner * | precond,
|  | magma_queue_t | queue )

Prepares the IC preconditioner via the iterative IC iteration.

Parameters

  [in] | A | magma_z_matrix input matrix A
  [in] | b | magma_z_matrix input RHS b
  [in,out] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zparicupdate()

magma_int_t magma_zparicupdate | ( | magma_z_matrix | A,
|  | magma_z_preconditioner * | precond,
|  | magma_int_t | updates,
|  | magma_queue_t | queue )

Updates an existing preconditioner via additional iterative IC sweeps for previous factorization initial guess (PFIG).

See Anzt et al., Parallel Computing, 2015.

Parameters

  [in] | A | magma_z_matrix input matrix A, current target system
  [in] | precond | magma_z_preconditioner* preconditioner parameters
  [in] | updates | magma_int_t number of updates
  [in] | queue | magma_queue_t Queue to execute in.